import numpy as np
from sklearn.model_selection import train_test_split

from regression_model import vect_pipeline
from regression_model.processing.data_management import load_dataset, save_pipeline
from regression_model.config import config
from regression_model import __version__ as _version

import logging


_logger = logging.getLogger(__name__)


def run_training() -> None:
    """Train the model."""

    # read training data
    data = load_dataset(file_name=config.TRAINING_DATA_FILE)

    # divide train and test
    X_train, X_test, y_train, y_test = train_test_split(
        data[config.FEATURES], data[config.TARGET], stratify=data[config.TARGET], test_size=0.1, random_state=0
    )  # we are setting the seed here


    vect_pipeline.mutation_pipe.fit(X_train, np.array(list(y_train)))

    


if __name__ == "__main__":
    run_training()
